<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>cells-financial-overview-dm demo</title>
    <script src="../build/webcomponents-loader.js"></script>
    <script src="../build/scoping-ambients-shim.min.js"></script>
    <script src="../build/custom-style-interface.min.js"></script>
    <script>
      {
        const _customElementsDefine = window.customElements.define;
        window.customElements.define = (name, cl, conf) => {
          if (customElements.get(name)) {
            console.warn(`${name} has been defined twice`);
          } else {
            _customElementsDefine.call(window.customElements, name, cl, conf);
          }
        };
      }
    </script>
    <script defer src="../build/component.js"></script>
    <script type="module" crossorigin="use-credentials">
      import '../build/demo-build.js';
    </script>
  </head>

  <body>
    <bbva-core-demo-helper events = '["request-success", "request-error"]'>
      <bbva-core-demo-case heading="Basic" description="Default specs">
        <template>
          <bbva-web-form-text id="tsec" label="tsec" value=""></bbva-web-form-text>
          <bbva-web-button-default id="btnTsec" >Send tsec</bbva-web-button-default>

          <cells-financial-overview-dm id="dm"></cells-financial-overview-dm>

          <script>
            const tsec = document.getElementById('tsec');
            const btnTsec = document.getElementById('btnTsec');           
            const dm = document.getElementById('dm');

            btnTsec.addEventListener('click', () => {
              window.sessionStorage.setItem('tsec', tsec.value);
              dm.generateRequest();
            });
          </script>
        </template>
      </bbva-core-demo-case>
    </bbva-core-demo-helper>
  </body>

</html>
